# spec file for package stockfish16 (Version 1.6.3)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
# norootforbuild

Summary:        A very strong, UCI compatible Chess engine
Name:           stockfish16
Version:        1.6.3
Release:        pm152.3.9
License: GPL-2.0
Group:          Amusements/Games/Board/Chess
URL:            http://homepages.tesco.net/henry.ablett/jims.html
Source:         %{name}-%{version}.tar.bz2
Source1:	x%{name}
Source2:	%{name}.sh
Source3:	%{name}-polyglot.sh
Source4:	%{name}.ini
Source5:	Book.bin
Source100:	%{name}.changes
Patch0:		%{name}-openSUSE-Factory-fix_linking.patch
Patch1:         stockfish-no-build-date.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-build
BuildRequires:  gcc-c++ dos2unix
AutoReqProv:    on
Recommends:	polyglot xboard
Obsoletes:	stockfish162 = 1.6.2
Provides:	stockfish162 = 1.6.3

%description
Stockfish is a free UCI chess engine derived from Glaurung 2.1. It is
not a complete chess program, but requires some UCI compatible GUI
(like XBoard with PolyGlot, eboard, Jose, Arena, Sigma Chess, Shredder,
Chess Partner, or Fritz) in order to be used comfortably.  Read the
documentation for your GUI of choice for information about how to use
Stockfish with your GUI.

This version of Stockfish supports up to 8 CPUs, but has not been
tested thoroughly with more than 2.  The program tries to detect the
number of CPUs on your computer and set the number of search threads
accordingly, but please be aware that the detection is not always
correct.  It is therefore recommended to inspect the value of the
"Threads" UCI parameter, and to make sure it equals the number of CPU
cores on your computer.

Authors:
--------
		Marco Costalba mcostalba@gmail.com

		Salvo Spitaleri (opening book "Book.bin") 



%prep
%setup -q
%patch0 -p0
%patch1 -p1
dos2unix Readme.txt
dos2unix src/COPYING
chmod 0644 src/COPYING

%build
pushd src/
# use Book.bin as default book with UCI
sed -i 's/book\.bin/Book\.bin/g' search.cpp ucioption.cpp
%{__make}
popd

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 755 src/stockfish $RPM_BUILD_ROOT%{_bindir}/%{name}.bin
install -m 644 logos/*.gif $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/x%{name}
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/%{name}-polyglot
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_datadir}/%{name}/

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc src/COPYING Readme.txt
%{_bindir}/*%{name}*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%changelog
* Thu Feb  4 2010 packman@links2linux.de - 1.6.3
- updated to 1.6.3 (bugfix release)
- package renamed to stockfish16
- as 1.6.3 and probably all upcoming 1.6.X-releases
  will only contain bugfixes and no new features
  this package also replaces stockfish162
* Sat Jan  9 2010 AxelKoellhofer@web.de - 1.6.2
- initial package, version 1.6.2
